# Copyright 1999-2022 Gentoo Authors, projectmoon
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit gnome.org xdg

MY_COMMIT="a19bfbf4f6bd1d2b0d2d6abf02252e1e0cbc2d61"
RESTRICT="mirror"

DESCRIPTION="App to control some system settings of Librem devices."
HOMEPAGE="https://source.puri.sm/nicole.faerber/librem-control"
SRC_URI="https://source.puri.sm/nicole.faerber/librem-control/-/archive/${MY_COMMIT}/${PN}-${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${MY_COMMIT}"

LICENSE="GPL-2"
SLOT="0"

DEPEND="
	>=sys-kernel/librem-ec-acpi-0.9.1-r1
	>=gui-libs/gtk-4.6:4
	>=sys-auth/polkit-121
"
RDEPEND="${DEPEND}"
